package ru.yandex.autotests.direct.utils;

/**
 * Created with IntelliJ IDEA.
 * User: omaz
 * Date: 25.11.13
 * Time: 13:06
 * Ошибки, связанные с работой методов пакета direct-utils
 */
public class DirectUtilsException extends RuntimeException{
    String mistake;

    public DirectUtilsException() {
        super();             // call superclass constructor
        mistake = "unknown";
    }

    public DirectUtilsException(String err) {
        super(err);     // call super class constructor
        mistake = err;  // save message
    }

    public DirectUtilsException(Exception e) {
        super(e);
    }

    public DirectUtilsException(String message, Exception e) {
        super(message, e);
    }
}
